İçeriğe geç

MiniMax (Hailuo AI) Video 01 Subject Reference

Entegre et

Model kimliği minimax/video-01-subject-reference
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/video-01-subject-reference?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "subject_reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,50 500 API kredisi Bu sayfada çalıştır

API anahtarı al
MiniMax Görselden Videoya Referans girdileri #subject#transformation

Referans görüntü kullanarak öznenin yüzünü ve kimliğini tutarlı koruyan Video 01 klibi

MiniMax · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 2000
•gerekli
Dosyayı bırakın veya

Öznenin görünümünü tutarlı tutmak için kullanılan referans görsel URL'si.

Gelişmiş enable_safety_checker · prompt_optimizer
POST /run/minimax/video-01-subject-reference?wait=20 fiyat → $0,50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/video-01-subject-reference?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "subject_reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

MiniMax (Hailuo AI) Video 01 Subject Reference hakkında

Yüz özellikleri ve kimlik dahil olmak üzere öznenin görünümünü tutarlı kılmak için `subject_reference_image_url` kullanırken, en fazla 2000 karakterlik metin isteminden video üretir. Bu, ilk kare canlandırmasından farklıdır; görsel açılış karesini değil, kimin görüneceğini yönlendirir. `prompt_optimizer` varsayılan olarak açıktır.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Çağıran yetkiliyse false ayarlanarak tarama gevşetilebilir.
promptgerekli
Türstring
≤ 2.000 karakter
subject_reference_image_urlgerekli
Türurl · image
Öznenin görünümünü tutarlı tutmak için kullanılan referans görsel URL'si.
prompt_optimizeristeğe bağlı
Türboolean
Varsayılantrue
Modelin istem iyileştiricisinin etkinleştirilmesi.
gerekli

Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/video-01-subject-reference",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 500,
    "usd": "0.50",
    "charged": 500,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "subject_reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Model tarafından üretilen video.

Daha fazla model: Görselden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/minimax/video-01-subject-reference.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt